D-Bus 1.13.18

Data Fields
DBusTransportSocket Struct Reference
D-Bus secret internal implementation details » DBusTransport implementations for sockets

Implementation details of DBusTransportSocket. More...

## Data Fields
DBusTransport | base
| Parent instance.
DBusSocket | fd
| File descriptor.
DBusWatch * | read_watch
| Watch for readability.
DBusWatch * | write_watch
| Watch for writability.
int | max_bytes_read_per_iteration
| To avoid blocking too long.
int | max_bytes_written_per_iteration
| To avoid blocking too long.
int | message_bytes_written
| Number of bytes of current outgoing message that have been written.
DBusString | encoded_outgoing
| Encoded version of current outgoing message.
DBusString | encoded_incoming
| Encoded version of current incoming data.

## Detailed Description

Implementation details of DBusTransportSocket.

All members are private.

Definition at line 49 of file dbus-transport-socket.c.

The documentation for this struct was generated from the following file:

- dbus-transport-socket.c